Summary: GNU grep - "the fastest grep in the west"
Name: grep
Version: 2.1
Release: 1
Group: Utilities/Text
Copyright: GPL
Source: ftp://prep.ai.mit.edu/pub/gnu/grep-%{PACKAGE_VERSION}.tar.gz
BuildRoot: /var/tmp/grep-%{PACKAGE_VERSION}-root

%description
GNU grep is based on a fast lazy-state deterministic matcher (about
twice as fast as stock Unix egrep) hybridized with a Boyer-Moore-Gosper
search for a fixed string that eliminates impossible text from being
considered by the full regexp matcher without necessarily having to
look at every character.  The result is typically many times faster
than Unix grep or egrep.  (Regular expressions containing backreferencing
will run more slowly, however.)

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" LDFLAGS=-s ./configure --prefix=/usr --disable-nls
make

%install
rm -f $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr install
rm -f $RPM_BUILD_ROOT/usr/bin/egrep $RPM_BUILD_ROOT/usr/bin/fgrep
ln -sf grep $RPM_BUILD_ROOT/usr/bin/egrep
ln -sf grep $RPM_BUILD_ROOT/usr/bin/fgrep

%files
%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README THANKS TODO
/usr/bin/grep
/usr/bin/egrep
/usr/bin/fgrep
/usr/man/man1/grep.1
/usr/man/man1/egrep.1
/usr/man/man1/fgrep.1

%clean
rm -rf $RPM_BUILD_ROOT
